# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'soar_http_client/version'

Gem::Specification.new do |spec|
  spec.name          = "soar_http_client"
  spec.version       = SoarHttpClient::VERSION
  spec.authors       = ["Tiaan van Deventer"]
  spec.email         = ["tiaanvandeventer@gmail.com"]

  spec.summary       = %q{Rest client for services at Hetzner}
  spec.description   = %q{}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'faraday', '~> 0.12'
  #Faraday not compatible with net-http-persistent v3.0.0
  spec.add_dependency 'net-http-persistent', '~> 2.9.4'

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "webmock", "~> 2.3.2"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "simplecov-rcov"
end
